#!/usr/bin/env python 
# -*- coding: UTF-8 -*-
# Filename: s2t.py
# Description: As a converting tool for lrcShow-II

import os,sys

class s2t:
	
	def __init__(self,string):
		self.string = string
	
	def transfer(self):
		fileS = open('../scripts/lrcShow-II/dict/simplified')
		dictS = fileS.read()
		fileS.close()
		fileT = open('../scripts/lrcShow-II/dict/traditional')
		dictT = fileT.read()
		fileT.close()
		
		transferedString = self.transferEngine(dictS,dictT)
		if(self.string == transferedString):
			transferedString = self.transferEngine(dictT,dictS)
			return transferedString
		else:
			return transferedString

	def transferEngine(self,startDict,endDict):
		k = ''
		transferedString = ''
		for i in self.string:
			if(len(repr(i))<>6):
				transferedString+=i
			else:
				k+=i
				if(len(k)<>3):
					pass
				else:
					try:
						num = startDict.index(k)
					except ValueError:
						transferedString+=k
					else:
						transferedString+=endDict[num:num+3]
					k = ''
		return transferedString

if(__name__ == '__main__'):
	p = s2t(sys.argv[1])
	k = p.transfer()
	print k